# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class HtmlTextConstruct.AtomHandler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.HtmlTextConstruct.AtomHandler

Enclosing class:
  HtmlTextConstruct

    public class HtmlTextConstruct.AtomHandler

extends XmlParser.ElementHandler

Parses XML in the Atom format.

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`HtmlTextConstruct.AtomHandler()`

Method Summary
`void` `processAttribute(java.lang.String namespace, java.lang.String localName, java.lang.String value)` Processes attributes.
`void` `processEndElement()` Processes this element; overrides inherited method.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTextConstruct.AtomHandler

    public HtmlTextConstruct.AtomHandler()

Method Detail

### processAttribute

    public void processAttribute(java.lang.String namespace,
                                 java.lang.String localName,
                                 java.lang.String value)
                          throws ParseException

  Processes attributes.

  Overrides:
    `processAttribute` in class `XmlParser.ElementHandler`
  Parameters:
    `namespace` - Attribute namespace URI.
    `localName` - Attribute name.
    `value` - Attribute value.
  Throws:
    `ParseException`

### processEndElement

    public void processEndElement()
                           throws ParseException

  Processes this element; overrides inherited method.

  Overrides:
    `processEndElement` in class `XmlParser.ElementHandler`
  Throws:
    `ParseException` - from subclasses.